Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 2899453002: Pass parsed network quality estimator params when constructing NQE (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months ago by tbansal1
Modified:
3 months, 2 weeks ago
CC:
chromium-reviews, cbentzel+watch_chromium.org, tbansal+watch-nqe_chromium.org, net-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Pass parsed network quality estimator params when constructing NQE This CL changes the way how Network Quality Estimator (NQE) is constructed. Currently, NQE configuration parameters are passed as key-value pair by Chrome/Cronet in the NQE's constructor. This CL requires Chrome/Cronet to parse the config params themselves, store them in a class, and pass an instance of that class in the constructor of NQE. CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.android:android_cronet_tester BUG=638308 Review-Url: https://codereview.chromium.org/2899453002 Cr-Commit-Position: refs/heads/master@{#477896} Committed: https://chromium.googlesource.com/chromium/src/+/4a4305a5f603f83ce7eafad9866565af013815c5

Patch Set 1 : ps #

Patch Set 2 : Fix Android compile error #

Total comments: 1

Patch Set 3 : Rebased #

Patch Set 4 : mmenke comments, rebased #

Patch Set 5 : fix Android compile error #

Patch Set 6 : Rebased #

Unified diffs Side-by-side diffs Delta from patch set Stats (+197 lines, -205 lines) Patch
M chrome/browser/android/net/external_estimate_provider_android_unittest.cc View 1 2 3 4 2 chunks +7 lines, -3 lines 0 comments Download
M chrome/browser/io_thread.cc View 1 2 3 4 5 1 chunk +3 lines, -1 line 0 comments Download
M components/cronet/android/cronet_url_request_context_adapter.cc View 1 2 3 4 5 2 chunks +4 lines, -2 lines 0 comments Download
M net/nqe/network_quality_estimator.h View 1 2 3 4 5 3 chunks +15 lines, -28 lines 0 comments Download
M net/nqe/network_quality_estimator.cc View 1 2 3 4 5 18 chunks +48 lines, -59 lines 0 comments Download
M net/nqe/network_quality_estimator_params.h View 1 2 3 4 chunks +8 lines, -15 lines 0 comments Download
M net/nqe/network_quality_estimator_params.cc View 1 2 3 10 chunks +92 lines, -78 lines 0 comments Download
M net/nqe/network_quality_estimator_test_util.cc View 1 2 3 4 5 2 chunks +9 lines, -6 lines 0 comments Download
M net/nqe/network_quality_estimator_unittest.cc View 1 2 3 4 5 2 chunks +5 lines, -5 lines 0 comments Download
M net/nqe/throughput_analyzer.h View 1 2 3 1 chunk +1 line, -2 lines 0 comments Download
M net/nqe/throughput_analyzer_unittest.cc View 1 2 3 5 chunks +5 lines, -6 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 67 (53 generated)
tbansal1
mmenke: ptal at io_thread*, and let me know if this is the right way for ...
4 months ago (2017-05-19 19:59:56 UTC) #22
tbansal1
mmenke: ping. Thanks.
4 months ago (2017-05-23 18:37:59 UTC) #29
mmenke
On 2017/05/23 18:37:59, tbansal1 wrote: > mmenke: ping. Thanks. I'm sorry for the delay - ...
4 months ago (2017-05-23 20:49:56 UTC) #30
mmenke
On 2017/05/23 18:37:59, tbansal1 wrote: > mmenke: ping. Thanks. I'm sorry for the delay - ...
4 months ago (2017-05-23 20:49:58 UTC) #31
tbansal1
On 2017/05/23 20:49:58, mmenke wrote: > On 2017/05/23 18:37:59, tbansal1 wrote: > > mmenke: ping. ...
4 months ago (2017-05-23 20:51:39 UTC) #32
mmenke
Sorry again for the delay - 3 days is just way too slow. Had also ...
3 months, 4 weeks ago (2017-05-24 15:49:04 UTC) #33
tbansal1
mmenke: ptal. xunjieli: components/cronet/android/cronet_url_request_context_adapter.cc Thanks.
3 months, 4 weeks ago (2017-05-25 17:00:58 UTC) #41
mmenke
On 2017/05/25 17:00:58, tbansal1 wrote: > mmenke: ptal. > > xunjieli: components/cronet/android/cronet_url_request_context_adapter.cc > > Thanks. ...
3 months, 4 weeks ago (2017-05-25 17:14:09 UTC) #42
tbansal1
rohitrao: ptal at ios/chrome/browser/ios_chrome_io_thread.mm ryansturm: //net/nqe. Thanks.
3 months, 4 weeks ago (2017-05-25 17:28:58 UTC) #48
xunjieli
On 2017/05/25 17:00:58, tbansal1 wrote: > mmenke: ptal. > > xunjieli: components/cronet/android/cronet_url_request_context_adapter.cc > > Thanks. ...
3 months, 4 weeks ago (2017-05-25 17:56:42 UTC) #49
rohitrao (ping after 24h)
ios/ lgtm
3 months, 3 weeks ago (2017-05-26 12:46:40 UTC) #52
RyanSturm
lgtm
3 months, 3 weeks ago (2017-05-31 18:28:58 UTC) #53
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2899453002/180001
3 months, 2 weeks ago (2017-06-08 04:58:02 UTC) #64
commit-bot: I haz the power
3 months, 2 weeks ago (2017-06-08 05:03:38 UTC) #67
Message was sent while issue was closed.
Committed patchset #6 (id:180001) as
https://chromium.googlesource.com/chromium/src/+/4a4305a5f603f83ce7eafad98665...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b